%define _name libglade
%define ver_major 2.0
%def_without static

Name: libglade2
Version: %ver_major.1
Release: alt4

Summary: libglade library
License: LGPL
Group: System/Libraries
Url: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.bz2

%define gtk_ver 2.2.4
%define pango_ver 1.2.4
%define atk_ver 1.4.1
%define libxml2_ver 2.5.6
%define pkgconfig_ver 0.15
%define python_ver 2.0

PreReq: xml-utils, xml-common

Requires: libgtk+2 >= %gtk_ver
Requires: python >= %python_ver
Requires: libxml2 >= %libxml2_ver
Requires: libatk >= %atk_ver

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: python >= 2.0
BuildPreReq: libxml2-devel >= %libxml2_ver
BuildPreReq: libpango-devel >= %pango_ver
BuildPreReq: pkgconfig >= %pkgconfig_ver

# Automatically added by buildreq on Wed Oct 01 2003
BuildRequires: PyXML XFree86-libs docbook-dtds docbook-style-dsssl eric fontconfig freetype2 glib2-devel glibc-devel-static gtk-doc libOpenSP libatk-devel libexpat libgtk+2-devel libpango-devel libxml2-devel openjade pkgconfig python sgml-common zlib-devel

%description
This library allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.

The interfaces can also be edited with GLADE.

%package devel
Summary: Libraries, includes, etc to develop libglade applications
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: libgtk+2-devel >= %gtk_ver libatk-devel >= %atk_ver
Requires: libxml2-devel >= %libxml2_ver libpango-devel >= %pango_ver
Requires: pkgconfig >= %pkgconfig_ver

%description devel
Libraries, include files, etc you can use to develop libglade applications.

%package devel-static
Summary: Libraries, includes, etc to develop libglade applications
Group: Development/GNOME and GTK+
Requires: libgtk+2-devel libxml2-devel %name-devel = %version-%release

%description devel-static
Libraries, include files, etc you can use to develop libglade applications.

%define xmlbase %_datadir/xml
%define xmlconfdir %_sysconfdir/xml
%define xmlcatalog %xmlconfdir/catalog

%prep
%setup -n %_name-%version

%build
%configure --enable-gtk-doc
%make_build

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%if_without static
%__rm -f %buildroot%_libdir/*.a
%endif

%post
%post_ldconfig
%_bindir/xmlcatalog --noout --add "system" \
    "http://glade.gnome.org/glade-2.0.dtd" \
    %_datadir/xml/%_name/glade-2.0.dtd %xmlcatalog ||:

%postun
%postun_ldconfig
%_bindir/xmlcatalog --noout --del \
    "%_datadir/xml/%_name/glade-2.0.dtd" %xmlcatalog ||:

%files
%doc AUTHORS ChangeLog NEWS README
%_libdir/*.so.*
#%_libdir/%_name/2.0/*
%dir %_datadir/xml/%_name
%_datadir/xml/%_name/glade-2.0.dtd

%files devel
%_bindir/*
%_libdir/*.so
%_includedir/*
%_libdir/pkgconfig/*

%doc test-libglade.c
%doc examples/*.glade
%doc %_datadir/gtk-doc/html/*

%if_with static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt4
- do not package .la files.
- devel-static subpackage is optional.

* Wed Oct 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt3
- fixed buildreqs.
- added missing prereqs on xml-common (close #1524).

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt2
- rebuild with new pango, gtk+
- post/postun scripts fixed.

* Sun Sep 15 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- 2.0.1
- some fixes.

* Fri Jun 07 2002 Igor Androsov <blake@altlinux.ru> 2.0.0-alt1
- New version

* Tue Jun 04 2002 Igor Androsov <blake@altlinux.ru> 1.99.12-alt1.1
- Moved *.la from static to devel package
- Minor fixes spec.

* Thu May 23 2002 Igor Androsov <blake@altlinux.ru> 1.99.12-alt1
- New source from CVS
- Initial build for AltLinux

* Mon May 13 2002 Igor Andrsov <blace@mail.ru> 1.99.12-blk0.1
- Syncing with CVS
- Minor chages spec

* Wed May 08 2002 Igor Andrsov <blace@mail.ru> 1.99.11-blk0.1
- New soruces from CVS
- Chages for AltLinux
- Moved static libs to devel-static

* Sun Nov  1 1998 James Henstridge <james@daa.com.au>

- Updated the dependencies of the devel package, so users must have gtk+-devel.

* Sun Oct 25 1998 James Henstridge <james@daa.com.au>

- Initial release 0.0.1
